<?php
	error_reporting(0);
	include("globals.php");
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title>CrewCommCenter Vessel System Management</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<style>
body
{
	font-family:Verdana, Geneva, sans-serif;
	font-size:14px;
	color: black;
	
	background: url(<?php echo $GLOBALS['plugFilePath']; ?>/img/bg1.png) repeat; 
	-webkit-background-size: cover;
	-moz-background-size: cover;
	-o-background-size: cover;
	background-size: cover;
}

div, table, tr, td
{
	font-family:Verdana, Geneva, sans-serif;
	font-size:14px;
	color: black;
}

#shipconfig{
	border-radius:10px;
	background-color: #e3e3e3;
	box-shadow: 5px 5px 1px #346585;
	
	position:absolute; left: 50%; top: 20%; width: 800px;
    margin-left: -275px;
}

#mainmediaviewmm{
	border-radius:10px;
	background-color: #e3e3e3;
	box-shadow: 5px 5px 1px #346585;
	
	position:absolute; left: 50%; top: 20%; width: 250px;
    margin-left: -545px;
}

input { 
	font-family:Verdana, Geneva, sans-serif;
	font-size:14px;
	color: black;
	padding: 4px;
}

#cccline{
	margin: 0;
  	display: inline-block;
    position: absolute;
    top: 10%;
    left: 50%;
    margin-right: -50%;
    transform: translate(-50%, -50%);
    width: 270px;
    vertical-align:top;
    -webkit-background-size: cover;
}

#ccctext{
	-webkit-background-size: cover;
	margin: 0;
  	display: inline-block;
    position: absolute;
    top: 14%;
    left: 49.5%;
    margin-right: -50%;
    transform: translate(-50%, -50%);
    width: 300px;
    vertical-align:top;
}

a:link {
    color: #000000;
	text-decoration: none;
}
a:visited {
    color: #000000;
	text-decoration: none;
}
a:hover {
    color: #00F;
	text-decoration: none;
}
a:active {
    color: #000000;
	text-decoration: none;
}

ul.navigation-tab li{
	cursor:pointer;
	display: inline-block;
	border:1px solid #ccc;
	background: #DDD;
	-webkit-border-top-left-radius: 10px;
	-webkit-border-top-right-radius: 10px;
	-moz-border-radius-topleft: 10px;
	-moz-border-radius-topright: 10px;
	border-top-left-radius: 10px;
	border-top-right-radius: 10px;
	padding: 7px 8px 7px 8px;
    margin: 0 !important;
}

ul.navigation-tab li.active{
	border:1px solid #866969;
	background-color:#FFF;
	font-weight:bold;
}
ul.navigation-tab li:hover{
	border:1px solid #866969;
	background-color:#CCC;
}
.display-table{
	display:none;
	/*border:1px solid #000;*/
}

.button-tab{
	cursor:pointer;
	display: inline-block;
	border:1px solid #CCC;
	background: #FFF;
	padding: 10px 11px 10px 11px;
    margin: 0 !important;
}
.button-tab:hover{
	border:1px solid #866969;
	background-color:#CCC;
}

.table-bordered table, .table-bordered td, .table-bordered tr {
    text-align: left;
}
.table-bordered table {
    border-collapse: collapse;
    width: 100%;
}
.table-bordered tr, .table-bordered td {
    padding: 5px;
}
.table-bordered td {
    border-bottom: 1px solid #ccc;
	border-left: 1px solid #ccc;
    padding: 5px;
}

.SatComListTblcls a
{
    display:block;
    text-decoration:none;
}

.rebootTD input[type=button]:disabled {
    background: #CCC;
}
.rebootTD input[type=button]:enabled {
    background: #9CF;
}
</style>
<script type="text/javascript" src="<?php echo $GLOBALS['plugFilePath']; ?>/script/jquery.min.js"></script>
<script type="text/javascript" src="<?php echo $GLOBALS['plugFilePath']; ?>/script/jquery.mask.js"></script>

</head>
<body leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">

<img src="<?php echo $GLOBALS['plugFilePath']; ?>/img/cccline.png" id="cccline" width="280" height="40">
<img src="<?php echo $GLOBALS['plugFilePath']; ?>/img/ccctext.png" id="ccctext" >

<table width="800" id="shipconfig" border="0" cellspacing="0" cellpadding="8" align="center">
  <tr><td bgcolor="#464B4F" style="border-top-left-radius:10px;border-top-right-radius:10px;padding:8px" colspan="4" align="center"><font color="#FFFFFF"><B>Domain Filtering</B></font></td></tr>
  <tr>
  	<td> <?php include 'syncbutton.php'?></td>  
  </tr>
  <tr><td>
  	<?php @include 'fw.domainfiltering.inc.php';?>
  </td></tr>
</table>
<?php include "mm.php"; ?>
<div id="cp-modal" class="cp-modal" style="width:100%;background:rgba(0,0,0,0.2);height:100vh;position: absolute;z-index: 9999;display:none;top:-20px;">    
  <div class="cp-modal-body" style="position:relative;margin:20% auto 0 auto;display: block;width: 30%;text-align: center;background: #FFF;padding:11px;">
    <div class="cp-modal-text" style="margin: 10px 7px;"></div>
    <button id="cp-modal-hide-btn" type="button" onClick="(function(){modal('hide'); return false;})()" style="display:none;margin:0 auto">Close</button>      
  </div>
</div>
</body>
</html>