<?php
	include("topinsert.php");
	
	$d_to = "";
	if (isset( $_POST['d_to'] )) {
		$d_to = stripslashes( $_POST['d_to'] );
	}
	$d_body = "";
	if (isset( $_POST['d_body'] )) {
		$d_body = stripslashes( $_POST['d_body'] );
	}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
	<title><?php echo $dTitle; ?></title>
	<link rel="stylesheet" type="text/css" href="<?php echo $GLOBALS['vendorsPath']; ?>vendors/bootstrap/css/bootstrap.min.css">
	<link rel="stylesheet" type="text/css" href="<?php echo $GLOBALS['vendorsPath']; ?>vendors/fontawesome/css/font-awesome.min.css">
    <?php include $GLOBALS['assetsPath']."css/style.php"; ?>
    <!-- <meta name="viewport" content="width=device-width, initial-scale=1"> -->
	<meta name='viewport' content="width=device-width, maximum-scale=1.0, minimum-scale=1.0, initial-scale=1.0" />
    
<?php include "funcjs.php"; ?>
</head>
<body>
		<div id="wrapper">
			<!-- wrapper -->
			<!-- Sidebar -->
			<?php include('sidebar.php'); ?>
        <!-- /#sidebar-wrapper -->

        <div id="page-content-wrapper">
				<!-- Header -->
				<nav>
					<?php 
						//@function at sidebar.php
						//@param1 name of page
						//@param2 search icon class name
						echo page_title('E-Mail & SMS');
					?>
				</nav>
				<!-- Header -->
				
				<!-- COntent/container -->
				<div class="row-fluid">
					<!-- search container -->
					<div class="search-container">
						<input>
					</div>

					
					<!-- Module title -->			
					<div class="module-title">
						<p>New SMS Message</p>
					</div>


					<div class="new-email-message new-sms-message">
						<div class="input-group">
						  <span class="input-group-addon" id="basic-addon1">To:</span>
						  <input type="text" name="d_to" id="d_to" class="email_input_form_contacts form-control"  aria-describedby="basic-addon2" value="<?php echo $d_to; ?>">
						  <span data-compose-type="d_to" class="email_input_form_contacts-add-user input-group-addon__custom input-group-addon" id="basic-addon2"><i class="fa fa-user"></i></span>
                          <input type="hidden" name="d_cc" id="d_cc">
                          <input type="hidden" name="d_bcc" id="d_bcc">
						</div>

                        <div class="write-area">
						  <textarea name="d_body" id="d_body" placeholder="Message:" onChange="getComposeCount();" onKeyUp="getComposeCount();"><?php echo $d_body; ?></textarea>
						</div>
					</div>
				</div>
				<!-- COntent/container -->

				<!-- Added Onclicks -->
				<!-- Control -->
				<div class="row-fluid">
					<div class="control">
						<div class="control-credit-count">
							<span id="d_msgcounter" class="control-credit-count__remaining"></span>
							<span class="control-credit-count__text">Credit Counter&nbsp;<span id="disp_credit_cnt" style="font-weight: bold;"><strong>0</strong></span></span>
							<span class="control-credit-count__count" onClick="showReloadPop();" style="cursor: pointer;"><i class="fa fa-plus"></i> </span>
						</div>
						<ul class="control-container two">
							<li><a href="javascript:;" onClick="mailbox.cancel(this);return false;"><i class="fa fa-times"></i></a></li>
							<li><a href="javascript:;" onClick="sendMail();"><i class="fa fa-paper-plane-o"></i></a></li>
						</ul>
					</div>
				</div>
				<!-- Control -->
			</div><!--#page content wrapper -->
		</div><!--#Wrapper -->

<script type="text/javascript" src="<?php echo $GLOBALS['vendorsPath']; ?>vendors/jquery/jquery.js"></script>
<script type="text/javascript" src="<?php echo $GLOBALS['vendorsPath']; ?>vendors/jquery/jquery.mobile.custom.min.js"></script>
<script type="text/javascript" src="<?php echo $GLOBALS['vendorsPath']; ?>vendors/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="<?php echo $GLOBALS['vendorsPath']; ?>js/jquery.base64.js"></script>
<script type="text/javascript" src="<?php echo $GLOBALS['vendorsPath']; ?>js/main.js"></script>
<script type="text/javascript" src="<?php echo $GLOBALS['vendorsPath']; ?>js/nav.js"></script>

<!-- =============== // ================== -->
<div class="modal fade" id="addressbook" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
  <div class="modal-dialog" role="document" style="width: 100%;margin: 0;">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
        <!-- <h4 class="modal-title" id="myModalLabel">Modal title</h4> -->
      </div>
      <div class="modal-body" style="width:100%;padding: 15px;height:87%;max-height:87%;overflow:auto;padding:0">
        <form id="addressbookform">
				<ul class="contact-details-list">
					
				</ul>
			</form>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
        <button type="button" onClick="addressbook.postcontact(this,'sms')" class="btn btn-primary">Add</button>
      </div>
    </div>
  </div>
</div>
<!-- =============== // ================== -->
<?php include "funcjs.dev.php"; ?>
<?php include "loading.php"; ?> 
</body>
</html>
<?php include "foot.php"; ?>
<script>
$(document).ready(function(){
	getComposeCount();
	
	$("#d_to").keypress(function (e) {
		var regex = /^[\+0-9, ]+$/;
		var str = String.fromCharCode(!e.charCode ? e.which : e.charCode);
		if (regex.test(str)) {
			return true;
		}
		
		e.preventDefault();
		return false;
	});
});

function getComposeCount() {
	var boxlimit = setmsglimit(false);
	
	$("#d_body").attr('maxlength', boxlimit);
	
	if ($("#d_body").val().length > boxlimit) {
        $("#d_body").val(val.slice(0, boxlimit));
    }
	
	var charcnt = countMsgBody($("#d_body").val());
	var msgcnt = 1;
	while (charcnt > 160) {
		msgcnt++;
		charcnt = charcnt - 160;
	}
	$('#d_msgcounter').text((160 - charcnt) + "/" + msgcnt);
}

$(function() {  
    $("textarea[maxlength]").bind('input propertychange', function() {  
        var maxLength = $(this).attr('maxlength');  
        if ($(this).val().length > maxLength) {  
            $(this).val($(this).val().substring(0, maxLength));  
        }  
    })
});

function sendMail() {
	/*
	TO DO:
	Attachments
	Credit count / limit
	Support mails
	*/
	
	//Validate To

	var theNumber = $("#d_to").val();
	var number = /^[- +()]*[0-9]*$/;
	$("#d_to").val( validateAllPhones(theNumber) );
	
	if (theNumber.length == 0) {
		showMessageAlert("Please add recipients");
		return;
	} else if ($("#d_body").val().length == 0) {
		showMessageAlert("Please add a message");
		return;
	}else if(number.test(theNumber) === false){
		showMessageAlert("Invalid number format");
		return;
	}


	if(theNumber[0] !== '+' && theNumber[0]+""+theNumber[1] !== "00"){
		$("#d_to").val('+'+theNumber);
	}
	
	var messageid = generateMsgID();
	
	//Validate Msg
	var charcnt = countMsgBody($("#d_body").val());
	if (charcnt > getmaxlimit(false)) {
		showMessageAlert('Message cannot be sent, it has exceeded the message character limit.');
	} else {
		/*if (confirm("Send message to " + $("#d_to").val() + "?")) {
			$("#d_to").val( cleanToCCBcc($("#d_to").val()) );
			
			showLoadingMessageDisp("Sending message, please wait.");
			
			dcreditused = getcreditused(false);
			
			sendMsg({macid: '<?php echo $GLOBALS['MACID']; ?>',
				api_key: '<?php echo $GLOBALS['APIKEY']; ?>',
				loginid: '<?php echo $_SESSION['uid']; ?>',
				messageid: messageid,
				to: $("#d_to").val(),
				cc: "",
				bcc: "",
				subject: "",
				body: Base64.encode( $("#d_body").val() ),
				attachmentcount: getattachmentcount(),
				creditused: dcreditused,
				messagelimit: getnumberofmsgs(false)}, dcreditused);
				
			hideLoadingMessageDispIfDone();
		}*/		


		
		sweetAlert({
				title: "Send Message",
				text: "Send message to " + $("#d_to").val() + "?",
				showCancelButton: true,
				confirmButtonText: "Yes",
				cancelButtonText: "No",
				closeOnConfirm: true,
				closeOnCancel: true 
			},
			function(isConfirm){
				if (isConfirm) {
					//sweetAlert("Deleted!", "Your imaginary file has been deleted.", "success");
					
					$("#d_to").val( cleanToCCBcc($("#d_to").val()) );
			
					showLoadingMessageDisp("Sending message, please wait.");
					
					dcreditused = getcreditused(false);
					
					sendMsg({macid: '<?php echo $GLOBALS['MACID']; ?>',
						api_key: '<?php echo $GLOBALS['APIKEY']; ?>',
						loginid: '<?php echo $_SESSION['uid']; ?>',
						messageid: messageid,
						to: $("#d_to").val(),
						cc: "",
						bcc: "",
						subject: "",
						body: Base64.encode( $("#d_body").val() ),
						attachmentcount: getattachmentcount(),
						creditused: dcreditused,
						messagelimit: getnumberofmsgs(false)<?php echo urladdparams(); ?>+""+getSession()}, dcreditused);
						
					hideLoadingMessageDispIfDone();
					
				} else { 
					/*sweetAlert(
					"Cancelled", 
					"Your imaginary file is safe :)", "error");*/
				}
			}
		);
	}
}

function sendMsg(ddata, dcreditused) {
	
	var noerror = true;
	var __dhostmail = host.replace('[CHANGEIP]', checkServerConnection()) + 'api/rest/sendmessage'; //patrick
	var requestapi;
	requestapi = $.ajax({
		url: __dhostmail,
		type: "post",
		data: ddata, //{ macid: intermacid }
		timeout: 30000
	});
	
	ajxCnt++;

	requestapi.done(function (response, textStatus, jqXHR){
		if (noerror) {
			try {
							
				$.each(response, function (index, value) {
			
					try {
				
						$.each(value, function (dindex, dvalue) {
							
							user_credit = user_credit - dcreditused;
							user_msg_limit = user_credit - getnumberofmsgs(false);
							
							$("#d_to").val('');
							$("#d_body").val('');
														
							displayCreditCounter();
							
							ajxCnt = 0;
							hideLoadingMessageDisp();
							
							//showMessageAlert('Message successfully sent.');
							
							//document.location.href = 'emailsms.php'; //'mailboxsent.php';
							
							try {
								sweetAlert({
										title: 'Message successfully sent.',
										showCancelButton: false,
										confirmButtonText: "Ok",
										closeOnConfirm: true 
									},
									function(isConfirm){
										document.location.href = 'emailsms.php';
									}
								);
							} catch (e) {
								alert('Message successfully sent.');
								document.location.href = 'emailsms.php';
							}
							
						});
						
					} catch (e) {}
				
				});
			
			} catch (e) {}	
		}
	});

	requestapi.fail(function (jqXHR, textStatus, errorThrown){
		noerror = false;
		
		ajxCnt = 0;
		hideLoadingMessageDisp();
		
		if (textStatus=="timeout") {
			showMessageAlert('The request has timed out. Please try again.');
		} else {
			showMessageAlert('An error has occurred while sending your message. Please try again.');
		}
	});

	requestapi.always(function () {
		requestapi = null;
		
		ajxCnt--;
		hideLoadingMessageDispIfDone();
	});
	
}


	/*
		=============== /added scripts/ ==================
	*/
	//get reply
	compose.getReplyData('sms');
	//get address book
	addressbook.get(false,'sms');

	$('.email_input_form_contacts-add-user').on('click', function(event) {
		event.preventDefault();
		var currentInput = $(this).attr('data-compose-type');
		addressbook.showSelectedRecipients(currentInput);
		$('#addressbook').attr('data-compose-type',currentInput);
		$('#addressbook').modal('show');
	});
	/*
		=============== /added scripts/ ==================
	*/

	var theTextArea = document.getElementById("d_body");
			theTextArea.focus();
            theTextArea.setSelectionRange(0,0);
			$('#d_body').scrollTop(0);


			
	$(document).on('click','ul.contact-details-list li',function(){
	
		var input = $(this).find('input[type=radio]');

		if($(input).prop('checked') == false){
			$(input).prop('checked',true);
		}else{
			$(input).prop('checked',false);
		}

	});
	// setInterval(function(){
	// 	user_msg_limit_bool = parseInt(user_msg_limit) <= 0 ? false : true;
	// 	user_credit_bool = parseInt(user_credit) <= 0 ? false : true;
	//     var proceed = vconfig_server_services[4] == '1' ? 'prepaid': 'free' ;
	// 	if(user_msg_limit_bool === false || (user_credit_bool === false  && proceed == 'prepaid') ){
	// 		if(user_msg_limit_bool === false){
	//         	sweetAlert('You have reached your daily outgoing limit');
	//       	}else{
	//         	sweetAlert('Please add credits to your account');
	//       	}		
	// 	    window.location = 'mailbox.php';					
	// 	}
	// },1);	
</script>