<div class="panel panel-dark">
  <div class="panel-heading">
    <h3 class="panel-title panel-title-large"><img src="<?php echo $GLOBALS['linkPath']?>images/emailsms-gold.png" class="ptl">E-mail & SMS</h3>
  </div>
  <div class="panel-body">
    <div class="control-upper-container">
      <?php if( strpos($_SERVER['PHP_SELF'], 'emailandsms.inbox.php' ) !== false):?>
        <a id="compose_email" href="javascript:;" onclick="setCurrentCompose('email',this);return false;" class="cc_button"><i class="fa fa-envelope-o"></i> Compose E-mail</a>
        <a id="compose_sms" href="javascript:;" onclick="setCurrentCompose('sms',this);return false;" class="cc_button"><i class="fa fa-mobile"></i> Compose SMS</a>
        <a href="javascript:;" onclick="setCurrentCompose('addressbook',this);return false;" class="cc_button cc_grey"><i class="fa fa-book"></i> Address Book</a>
      <?php else:?>
        <a href="<?php setActive('emailcompose.php')?>"  class="cc_button"><i class="fa fa-envelope-o"></i> Compose E-mail</a>
        <a href="<?php setActive('smscompose.php')?>"  class="cc_button"><i class="fa fa-mobile"></i> Compose SMS</a>
        <a href="<?php setActive('emailandsms.contact.php')?>" class="cc_button cc_grey"><i class="fa fa-book"></i> Address Book</a>
      <?php endif;?>
      <ul class="simple-menu">
        <li style="width:80px"><a class="mailbox-select inbox" href="javascript:;" onclick="setCurrentComposeInbox('inbox',this);return false;" title="Reload messages">Inbox <span class="reloadInbox" style="display:none;width:12px"><i class="fa fa-spinner fa-spin"></i></span></a></li>
        <li style="width:80px"><a class="mailbox-select sent" href="javascript:;" onclick="setCurrentComposeInbox('sent',this);return false;" title="Reload messages">Sent</a></li>
        <li style="width:80px"><a class="mailbox-select trash" href="javascript:;" onclick="setCurrentComposeInbox('trash',this);return false;" title="Reload messages">Trash</a></li>
      </ul>
    </div>

    <div class="search-contacts">
        <div class="form-group has-feedback">
            <!-- <label class="control-label col-sm-5" id="search-contacts-label" for="searchAddressbookContacts">Search Contacts</label> -->
            <div class="col-sm-12 col-xs-12 col-md-12 no-pad-all">
              <input type="text" class="form-control" id="searchAddressbookContacts" aria-describedby="inputSuccess3Status" placeholder="Search Contacts">
              <span class="glyphicon glyphicon-search form-control-feedback" aria-hidden="true"></span>
              <span id="inputSuccess3Status" class="sr-only">Search Contacts</span>
            </div>
         </div>
      <div class="search-contacts-results">
      </div>
    </div>
  </div>
</div>
<script>
  function setCurrentCompose(type,obj){
    user_msg_limit_bool = parseInt(user_msg_limit) <= 0 ? false : true;
    user_credit_bool = parseInt(user_credit) <= 0 ? false : true;

    if(type == 'email'){
      var proceed = vconfig_server_services[0] == '1' ? 'prepaid' : 'free';
    }else if(type == 'sms'){
      var proceed = vconfig_server_services[4] == '1' ? 'prepaid': 'free' ;
    }

    if( (user_msg_limit_bool === false || (user_credit_bool === false && proceed == 'prepaid') ) && type !== 'addressbook' ){
      if(user_msg_limit_bool === false){
        sweetAlert('You have reached your daily outgoing limit');
      }else{
        sweetAlert('Please add credits to your account');
      }
      
      return false;
    }else{
      $('#loadmore').attr('data-type',type);
      $('.hideforinbox').hide();
      $('.hideforinbox#'+type).show();

      if(type == 'email' || type == 'sms'){
        $('.contact-details-list').html('');
        getComposeCount(type);
        localStorage.setItem('inboxIndexMode',JSON.stringify(type));
        compose.clear(obj);
        addressbook.get(false,type);        

        return false;
        
      }else{
        $('.contact-details-list').html('');
        addressbook.get(true);
      }
    }
    return false;
  }
   function setCurrentComposeInbox(type,obj){
    $('#loadmore').attr('data-type',type);
    $('.hideforinbox').hide();
    $('.hideforinbox#inbox').show();
    mailbox.setMessagePoll(type,obj)
    $('.mailboxCheckBox-selector').removeAttr('class').addClass('mailboxCheckBox-selector mailboxCheckBox-'+type+'-selector');
  }

  function closeCompose(name){
    $('.hideforinbox').hide();
    $('.hideforinbox#inbox').show();
  }  
</script>
<script>
(function(){ 
window.onload = function(){ 
  mailbox.setSelectedMessage(); 
  addressbook.catchSearchContacts();
} 
})(window,document);
</script>
