<?php
/*	
	AUTO SYNC FILE
	will be called by cron
	/usr/bin/php-fcgi /www/cgi-bin/event.synchronize.settings.php SYNCFW
	/usr/bin/php-fcgi /www/cgi-bin/event.synchronize.settings.php APPLYFW
	/usr/bin/php-fcgi /www/cgi-bin/event.synchronize.settings.php SYNC_SETTINGS
*/
define('FILE_IS_INCLUDED',TRUE);
date_default_timezone_set('UTC');

if($argc >= 2)
{		
	if(in_array('SYNCFW', $argv))
	{
		include '/www/cgi-bin/firewall/requestrules.php';
		$_finalOutput = array();
		//check new settings
		$_finalOutput['process_settings'] = processSyncSettings(false);
		
		echo json_encode($_finalOutput);

	}else if(in_array('APPLYFW',$argv))
	{
		//add sleep so that we can give leeway for SYNC settings and SYNC Firewall to finish
		sleep(30);
		include '/www/cgi-bin/firewall/applyrules.php';
		//apply new settings
		$ProcessRules = new Applyrules;
		$ProcessRules->_cleanDomainsonDNSdatabase();
		$reboot = $ProcessRules->applyCurrentSettings();
		//#Uncomment to return back config
		// $ProcessRules->config();	

		$unwanted_output = ob_get_contents();
		if($unwanted_output !== '')
		{
			file_put_contents(FW_API_LOG,$unwanted_output);
		}
		$_finalOutput['apply_settings'] = $ProcessRules->output();
		Output::json($OutPutResult);
	}else if(in_array('SYNC_SETTINGS',$argv))
	{
		require_once '/www/cgi-bin/syncsettings.php';
		$sync = new Syncsettings;
		$sync->process_settings();
		$sync->api_key = 'AutoSyncDataVsettings';
		$sync->process_vsettings();
		$sync->api_key = 'AutoSyncDataVConfig';
		$sync->process_vconfig();
		
		echo $sync->sync_result();
	}
}else{
	echo "Code 100";
}
//END OF event.sychronize.settings.php