<?php
error_reporting(E_ALL);
//added to wrapper so that if we loaded this file twice on our script
//no error will occure
if(!defined('__CONFIG_LOADED__a2fadc1136f0a8b3358ee33338a894fc')){
/*
	CONFIG
*/
//tokens used by SERVER to validate request transactions
define('TOKEN_SALT_1','SMSGAPIs');
//tokens used by SERVER to validate request transactions
define('TOKEN_SALT_2','bmpHii3f3adf#43');
define('VERSION_INI_PATH','/www/version.ini');
define('CURRENT_PATH','/www/cgi-bin/firewall');
define('CURRENT_URL','/cgi-bin/firewall/');
define('ENABLE_ACFW',true);
define('LOG_CALLAPI',true);
define('SYNC_URL','http://93.157.3.167:10990/smsglobal/v8connect/sync/firewall');
define('UPDATE_URL','http://93.157.3.167:10990/smsglobal/v8connect/update/firewall');
define('CREW_UI_DISABLED_PATH','/www/cccSet.txt'); //if 1 UI is enabled if 0 UI is disabled
define('REBOOT_ON_SUCCESSFULL_SYNC',true);
/**
 *	DATA PATHS
 */
//JSON data synced from server
define('SYNCAPPLY_INI',CURRENT_PATH.'/data/fw_settings.json');
//JSON data of APPS created when syncing from server
define('IMAPPS_INI',CURRENT_PATH.'/data/im_settings.json');
//contains Applied rules on the router in JSON format
define('APPLIED_RULES',CURRENT_PATH.'/data/applied_rules.json');
//Contains BLOCKED DOMAINS
define('BLOCKED_DOMAINS',CURRENT_PATH.'/data/blocked_domain_settings.json');
//File that holds hashes of applied and synced config
define('CURRENT_APPLIED_CONFIG',CURRENT_PATH.'/data/applied.config.json');
//File that holds hashes of dynamic HTML created when applying settings
define('HTML_LOCK_FILE',CURRENT_PATH.'/data/html.config.json');
//OUr API tries to log last know working server address for our CLI scripts usages
define('LAST_KNOWN_SERVER_ADDR',CURRENT_PATH.'/data/knowserveraddr.txt');
//logs last reboot
define('LAST_REBOOT',CURRENT_PATH.'/data/lastreboot.txt');
/*
	LOGS
*/
//Contains transactional logs when A settings has been applied to the router
define('APPLYRULES_LOG',CURRENT_PATH.'/log/applyrules.log');	
//contains logs of data returned from server when synced
define('CALLAPI_LOG',CURRENT_PATH.'/log/callapi.log');	
//contains logs for api called when applying rules
define('FW_API_LOG',CURRENT_PATH.'/log/fwapi.log');	

/*
	API INSIDE IP CALL
	PATHS are included
	URL are accessed via HTTP
*/
define('ACFW_PATH','/www/cgi-bin/acfw');
define('ACFW_URL','/cgi-bin/acfw');

define('ALLOWIP_PATH','/www/cgi-bin/allowip');
define('ALLOWIP_URL','/cgi-bin/allowip');

define('NETWORK_PATH','/www/cgi-bin/network');
define('NETWORK_URL','/cgi-bin/network');
define('NETWORK_USEURL',false);

define('IPMAC_PATH','/www/cgi-bin/getipmac.php');

define('DNSFILTER_PATH','/www/cgi-bin/dnsfilter');
define('DNSFILTER_URL','/cgi-bin/dnsfilter');
define('DNSFILTER_USEURL',false);

define('FIREWALL_PATH','/www/cgi-bin/cfw');
define('FIREWALL_URL','/cgi-bin/cfw');

define('FIREWALL_CONF_FILE', "/etc/smsg/firesmsg");
define('FORWARD_CONF__FILE', "/etc/smsg/fwdsmsg");

define('IPSET_PATH','/www/cgi-bin/acipset');
define('IPSET_URL','/cgi-bin/acipset');

define('API_CONFIG_FILE_PATH','/www/cgi-bin/apiconfig');	
define('JOBSCHED_PATH','/www/cgi-bin/jobsched');
/*
	Generate Outputs
	Dynamic is created when a setting is new or if generated HTML hash is not found in the HTML_LOCK_FILE
*/
define('FIREWALL_HTML','/www/cgi-bin/fw.firewall.inc.php');
define('APPLICATIONS_HTML','/www/cgi-bin/fw.apps.inc.php');
define('DOMFILTER_HTML','/www/cgi-bin/fw.domainfiltering.inc.php');
define('CPB_HTML','/www/cgi-bin/fw.captiveportalbypass.inc.php');
define('WAN_PORTFORWARD_HTML','/www/cgi-bin/fw.wanportforward.inc.php');

//DO NOT MODIFY CONFIG LOADED
define('__CONFIG_LOADED__a2fadc1136f0a8b3358ee33338a894fc',true);
}
//END config.php