<?php
include 'config.php';
// define('SYNCAPPLY_INI',CURRENT_PATH.'fw_settings.json');
// define('IMAPPS_INI',CURRENT_PATH.'im_settings.json');
// define('APPLIED_RULES',CURRENT_PATH.'applied_rules.json');
// define('CURRENT_APPLIED_CONFIG',CURRENT_PATH.'applied.config.json');
// define('HTML_LOCK_FILE',CURRENT_PATH.'html.config.json');
/*
	LEGEND
	1 = applied (CURRENT_APPLIED_CONFIG)
	2 = applied rules (APPLIED_RULES)
	3 = Server sync logs (callapi.log) not in config
	4 = current firwall settings (SYNCAPPLY_INI)
	5 = HTML lock (HTML_LOCK_FILE)
	6 = IM APPs settings (IMAPPS_INI)
	7 = Blocked Domains/OS UPDATES
*/


if($_GET && isset($_GET['code']))
{
	function _checkFile_exists($path){
		if(file_exists($path)){
			ob_start();
			include $path;
			$html = ob_get_contents();
			ob_end_clean();
		}else{
			$html = '{"message":"File Not Found"}';
		}
		return $html;
	}

	$json_output = '';
	switch ($_GET['code']) 
	{
		case 1:
		case "1":
			$json_output = _checkFile_exists(CURRENT_APPLIED_CONFIG);
		break;

		case 2:
		case "2":
			$json_output = _checkFile_exists(APPLIED_RULES);
		break;

		case 3:
		case "3":
			$json_output = _checkFile_exists(CALLAPI_LOG);
		break;

		case 4:
		case "4":
			$json_output = _checkFile_exists(SYNCAPPLY_INI);
		break;

		case 5:
		case "5":
			$json_output = _checkFile_exists(HTML_LOCK_FILE);
		break;

		case 6:
		case "6":
			$json_output = _checkFile_exists(IMAPPS_INI);
		break;
		case 7:
		case "7":
			$json_output = _checkFile_exists(BLOCKED_DOMAINS);
		break;
		case "8":
			$json_output = _checkFile_exists(APPLYRULES_LOG);
		break;
		default:
			$json_output = " Code out of bounds ";
		break;
	}
	header("Content-Type:application/json");
	echo $json_output;
	exit;
}else{

	$log_links = array(
		'Current FW HASH Version Applied to Router' 	=> "http://".$_SERVER['HTTP_HOST'].CURRENT_URL.'showlogs.php?code=1',
		'Current Settings Sychronized to Router' 		=> "http://".$_SERVER['HTTP_HOST'].CURRENT_URL.'showlogs.php?code=4',
		'Current Settings Applied to Router' 		=> "http://".$_SERVER['HTTP_HOST'].CURRENT_URL.'showlogs.php?code=2',
		'Last Server Settings Synchronization Log' 	=> "http://".$_SERVER['HTTP_HOST'].CURRENT_URL.'showlogs.php?code=3',
		'HTML HASH Lock Files for Dashboard' 		=> "http://".$_SERVER['HTTP_HOST'].CURRENT_URL.'showlogs.php?code=5',
		'Applications/ IM Apps Filtered' 			=> "http://".$_SERVER['HTTP_HOST'].CURRENT_URL.'showlogs.php?code=6',		
		'Blocked Domains and OS Updates' 			=> "http://".$_SERVER['HTTP_HOST'].CURRENT_URL.'showlogs.php?code=7',		
		'Firewall Process Trace Log' 				=> "http://".$_SERVER['HTTP_HOST'].CURRENT_URL.'showlogs.php?code=8',		
	);

	$template = "<div style=\"margin:0 auto;padding:0;width:500px;text-align:center;font-size:20px\">";
	foreach($log_links as $label => $url){
		$template .= "<a href=\"{$url}\" style=\"margin:2px;display:block\" target=\"_blank\">{$label}</a><br>";
	}
	$template .= "</div>";
	echo $template;
}


?>