<?php
	error_reporting(0);
	function checkIPAdd($ipaddress)
	{
		if(!function_exists('filter_var'))
		{
			$status = preg_match('/^(?:25[0-5]|2[0-4]\d|1\d\d|[1-9]\d|\d)(?:[.](?:25[0-5]|2[0-4]\d|1\d\d|[1-9]\d|\d)){3}$/', $ipaddress);		
			$status = $status == 1 ? true : false;
		}else{
			$status = filter_var($ipaddress, FILTER_VALIDATE_IP);
			
		}
		return $status;
	}

	
	$__HOST__ = checkIPAdd($_SERVER['SERVER_ADDR']) === false ? $_SERVER['SERVER_NAME'] : $_SERVER['SERVER_ADDR'];
	$__ADDRR__ = 'http://'.$__HOST__;
	$__HOST__ = 'http://'.$__HOST__.'/';		


	$GLOBALS['fileloc'] = "/mnt/";
	$GLOBALS['plugFilePath'] = "/crewmailfiles";
	$GLOBALS['passPath'] = "/etc/";
	$GLOBALS['versionPath'] = "/www/version.txt";
	$GLOBALS['versionConf'] = "/www/vesconf.txt";
	$GLOBALS['ddns'] = "/www/ddns";
	$GLOBALS['localStorage'] = "/www/localstore/";
	$GLOBALS['LOCALSERVER'] = "http://" .(($_SERVER['SERVER_ADDR'] == "::1")?"localhost":$_SERVER['SERVER_ADDR']) . "/cgi-bin/m/serv.php";
	$GLOBALS['INETSTATUPDATE'] = "http://" . $_SERVER['SERVER_ADDR'] . "/cgi-bin/icheck.php";
	$GLOBALS['dnslist'] = "/www/dnslist.txt";
	$GLOBALS['cccSet'] = "/www/cccSet.txt";
	$GLOBALS['dnxlist'] = "/www/dnx.txt";
	$GLOBALS['dnxpremote'] = "/www/dnxpremote.txt";
	$GLOBALS['defaultprox'] = "/www/defprox.txt";
	$GLOBALS['defaultimdomains'] = "/www/imdomains.txt";
	$GLOBALS['clientUIAssetPath'] = 'http://'.$_SERVER['SERVER_ADDR'].'/m/assets/';
	$GLOBALS['routerSysInfo'] = "sysinfo";	

	system("killall -q traceroute");		
	system("killall -q top");


	$commands = array(
		'' 				=> '-- SELECT DIAGNOSTIC Command --',
		'ifconfig' 		=> 'Run IFConfig Command (ifconfig)',
		'iptables' 		=> 'Run IPTables Command (iptables)',
		'psprocess' 	=> 'Show All running process (ps -ef)',
		'tcpdump' 		=> 'Run tcpdump Command (tcpdump)',
		'arp' 			=> 'Run ARP Command (ARP)',
		'netstat' 		=> 'Show Network Status (netstat)',
		'dnsmasq' 		=> 'Show dnsmasq File',
		'settings' 		=> 'Vessel Current Settings',
		'fsmsg' 		=> 'SMSG fsmsg value (fsmsg)',
		'radiustest' 	=> 'Test Radius Login (RADIUS Server)',
		'syncdebugsettings' => 'Sync Vessel settings with (DEBUG)',
		'cronsched' => 'Show Scheduled Jobs',
		'checkdependencyfunctions' => 'System Used Functions',
		'killdiagnosticsprocessinbackground' 	=> 'Clean Diagnostics Background Processes',
		'clearinstallationdetails' 	=> '!! Clear Vessel Installation !!',
		'rebootTerminal' 	=> 'Reboot Terminal',
	);	
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title>CrewCommCenter Vessel System Management</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<style>
body
{
	font-family:Verdana, Geneva, sans-serif;
	font-size:14px;
	color: black;
	
	background: url(<?php echo $GLOBALS['plugFilePath']; ?>/img/bg1.png); 
	-webkit-background-size: cover;
	-moz-background-size: cover;
	-o-background-size: cover;
	background-size: cover;
}

div, table, tr, td
{
	font-family:Verdana, Geneva, sans-serif;
	font-size:14px;
	color: black;
}

#shipconfig{
	border-radius:10px;
	background-color: #e3e3e3;
	box-shadow: 5px 5px 1px #346585;
	margin: 10px auto ;
	width: 90%;
	max-width: 90%;
	min-width: 90%;
}

#mainmediaviewmm{
	border-radius:10px;
	background-color: #e3e3e3;
	box-shadow: 5px 5px 1px #346585;
	
	position:absolute; left: 50%; top: 20%; width: 250px;
    margin-left: -545px;
}

input { 
	font-family:Verdana, Geneva, sans-serif;
	font-size:14px;
	color: black;
}

#cccline{
	margin: 0;
  	display: inline-block;
    position: absolute;
    bottom: 5%;
    left: 50%;
    margin-right: -50%;
    transform: translate(-50%, -50%);
    width: 270px;
    vertical-align:top;
    -webkit-background-size: cover;
}

#ccctext{
	-webkit-background-size: cover;
	margin: 0;
  display: inline-block;
    position: absolute;
    bottom:1%;
    left: 49.5%;
    margin-right: -50%;
    transform: translate(-50%, -50%);
    width: 300px;
    vertical-align:top;
}

a:link {
    color: #000000;
	text-decoration: none;
}
a:visited {
    color: #000000;
	text-decoration: none;
}
a:hover {
    color: #00F;
	text-decoration: none;
}
a:active {
    color: #000000;
	text-decoration: none;
}


.table-bordered table, .table-bordered td, .table-bordered tr {
    text-align: left;
}
.table-bordered table {
    border-collapse: collapse;
    width: 100%;
}
.table-bordered tr, .table-bordered td {
    padding: 5px;
}
.table-bordered td {
    border-bottom: 1px solid #ccc;
	border-left: 1px solid #ccc;
    padding: 5px;
}

.SatComListTblcls a
{
    display:block;
    text-decoration:none;
}

.rebootTD input[type=button]:disabled {
    background: #CCC;
}
.rebootTD input[type=button]:enabled {
    background: #9CF;
}
.small_btn{
	width:32%;
	display:inline-block;
	float:left;
	margin:0 2px;
}
td.control{
	border: 1px solid #c7b9b9;
    background: #d6d2d2;
}
</style>
<script type="text/javascript" src="<?php echo $GLOBALS['plugFilePath']; ?>/script/jquery.min.js"></script>
<script language="javascript">

</script>
</head>
<body leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">

<table  id="shipconfig" border="0" cellspacing="0" cellpadding="8" align="center">
  <tr>
  	<td bgcolor="#464B4F" style="border-top-left-radius:10px;border-top-right-radius:10px;" colspan="2" align="center">
		<button type="button" class="button-tab" onClick="window.history.go(-1);return false;" style="float:left;margin-left: 4px">Back To Menu</button>                    	  		
  		<font color="#FFFFFF"><B>Diagnostics</B></font>
  		<input type="button" value="Reboot Router" class="button-tab btn-danger" onClick="doReboot();return false;" style="float:right;margin-right:4px;visibility:hidden">
  	</td>

  </tr>
  <tr><td width="273" height="10" align="center"></td></tr>
  <tr><td colspan="2">
  <div class="system-info">
        <div class="system-info__contents">
          <div class="row-fluid">
            <div class="col-md-4">
              <div class="system-info-features" >
                <table style="width:100%" border="0" cellspacing="0" cellpadding="0">             	

                	<tr>
                		<td style="width:50%">
	                		<label for="command_lists">
	                			Available Commands
	                		</label>
	                		<select name="command_lists_viewer" id="command_lists">
	                		<?php foreach($commands as $command => $label):?>
								<option value="<?php echo $command;?>"><?php echo $label;?></option>
	                		<?php endforeach;?>
	                		</select>
	                		<button type="button" class="run-diagnostics">Run Selected Command</button>
                		</td>
	                    <td style="padding:10px 0;width=25%" class="control">
	                    	<input id="ping_domain_ip" type="text" style="width:98%" placeholder="Domain or IP">
	                    	<!-- <input type="button" value="Ping" class="button-tab" data-onClick="doPingShoreServer();" style="width:98%"> -->
	                    	<button type="button" class="button-tab submit-diagnostics small_btn" data-process-text="Processing PING ,Please wait." data-mode="ping" data-value="#ping_domain_ip" >PING</button>                    	                    	
	                    	<button type="button" class="button-tab load-diagnostics small_btn" data-process-text="Processing Traceroute ,Please do not close browser, to stop traceroute refresh browser or click close 'trace route button'" data-mode="traceroute" data-value="#ping_domain_ip" >Trace Route</button>                    	                    	                    	
	                    	<button type="button" class="button-tab submit-diagnostics small_btn" data-process-text="Processing NSLOOKUP ,Please wait." data-mode="nslookup" data-value="#ping_domain_ip" >NSLookup</button>                    	                    	
	                    </td>             	           
	                <tr>
	                <tr>
	                    <td id="display_container_diagnostics" style="padding:10px 0;" colspan="4">
	                    	<pre id="displayPingTrace" style="font-size:12px;padding:2px;height: 380px;display: block;background: #fFF;overflow:auto;width: 90%;width: 90vw;"></pre>
	                    <!-- <textarea id="displayPingTrace" name="displayPingTrace" readonly style="width:100%;" rows="20"></textarea> -->
	                    </td>
	                </tr>
                </table>
              </div>
            </div>
          </div>
          <div class="clearfix"></div>
          <!-- dynamic -->
        </div>
    </div>
  </td></tr>
  <tr><td height="10" align="center"></td></tr>
</table>
<script language="javascript">
function clearinstallationdetails(){
	localStorage.clear();
	var redirectUrl = "<?php echo $__ADDRR__.":3990";?>";	
	// window.location.href=redirectUrl;
	$('#displayPingTrace').append("<br><span>Data on your browser was removed</span><br>");
	$('#displayPingTrace').append('if not redirected <a href="'+redirectUrl+'" style="color:blue;font-weight:bold"> &gt;&gt; Click here to redirect &lt;&lt; </a> <br>');
}

function pre_rebootTerminal(){
	var confirmReboot;
	if(confirm("Are you sure you want to reboot Router now? Click OK to reboot the router.")){
		confirmReboot = true;
	}else{
		confirmReboot = false;
	}
	return confirmReboot;
}


function pre_clearinstallationdetails(){
	var confirmation;
	if(confirm("Are you sure you want to wipe out installation data from router?. Deleted data will be recovered when Synchronizing data from the server."))
	{
		confirmation = true;
	}else{
		confirmation = false;
	}
	return confirmation;;
}

function pre_syncdebugsettings(){
		var confirmation;
	if(confirm("Are you sure you want to Synchronize data?. Vessel Settings will be retrieved from server? Click OK to continue."))
	{
		confirmation = true;
	}else{
		confirmation = false;
	}
	return confirmation;
}
$(document).on('click','.run-diagnostics',function(e){
	e.preventDefault();
	e.stopPropagation();

	var selectedCommand = $('#command_lists');

	if(selectedCommand.val() == ''){
		$('#displayPingTrace').text('Please Selected a command');
		return false;
	}


	var continueTransaction = true;
	var THIS 			= $(this), 
		module 			= selectedCommand.val(),
		processText 	= "Running: "+$('#command_lists option:selected').text(),
		host 			= '<?php echo $GLOBALS['__HOST__'];?>cgi-bin/routerdiagnostics',
		parameter 		= null;

	if(typeof module !== "undefined" && 
	   typeof window["pre_"+module] == "function")
	{
		continueTransaction = window["pre_"+module]();
	}

	if(continueTransaction)
	{
		if(typeof THIS.attr('data-value') != "undefined")
		{
			parameter = $(THIS.attr('data-value')).val();
		}

		if($('#displayPingTrace').is(':visible') === false){
			$('#displayPingTrace').show();
		}

		$('#displayPingTrace').text(processText);
		$("#loading").fadeIn(200);
		$("#loadingmsgholder").fadeIn(200);
		$("#loadingmsg").text(processText);

		var ajaxRequestOBJ = $.ajax({
			method : "POST",
			url  : host,
			data : {
				init_diagnostics : '<?php echo sha1(1)?>',
				modes 			 : module,
				params			 : parameter
			}
		});

		ajaxRequestOBJ.done(function(e){
			$('#displayPingTrace').text(e.message);

			if(e.status === true){
				setTimeout(function(){
					if(typeof module !== "undefined" && typeof window[module] == "function"){
						window[module]();
					}
				},1000);	
			}
			
		});

		ajaxRequestOBJ.always(function(){
			$("#loading").fadeOut(500);
			$("#loadingmsgholder").fadeOut(500);
		});
	}else{
		$('#displayPingTrace').text(processText+' was cancelled.');
	}
});

$(document).on('click','.submit-diagnostics',function(e){
	e.preventDefault();
	e.stopPropagation();

	var THIS 	= $(this), 
		module 	= THIS.attr('data-mode'),
		processText 	= THIS.attr('data-process-text'),
		host 	= '<?php echo $GLOBALS['__HOST__'];?>cgi-bin/routerdiagnostics',
		parameter = null;

	if(typeof THIS.attr('data-value') != "undefined")
	{
		parameter = $(THIS.attr('data-value')).val();
	}

	if($('#displayPingTrace').is(':visible') === false){
		$('#displayPingTrace').show();
	}

	$('#displayPingTrace').text(processText);
	$("#loading").fadeIn(200);
	$("#loadingmsgholder").fadeIn(200);
	$("#loadingmsg").text(processText);

	var ajaxRequestOBJ = $.ajax({
		method : "POST",
		url  : host,
		data : {
			init_diagnostics : '<?php echo sha1(1)?>',
			modes 			 : module,
			params			 : parameter
		}
	});

	ajaxRequestOBJ.done(function(e){
		$('#displayPingTrace').text(e.message);
	});

	ajaxRequestOBJ.always(function(){
		$("#loading").fadeOut(500);
		$("#loadingmsgholder").fadeOut(500);
	});
});

$(document).on('click','.load-diagnostics',function(e){
	e.preventDefault();
	e.stopPropagation();

	var THIS 	= $(this), 
		module 	= THIS.attr('data-mode'),
		processText 	= THIS.attr('data-process-text'),
		host 	= '<?php echo $GLOBALS['__HOST__'];?>cgi-bin/routerdiagnostics',
		parameter = null;

	if(typeof THIS.attr('data-value') != "undefined")
	{
		var IPDOM = $(THIS.attr('data-value')).val();
		if(IPDOM.length >= 1){
			parameter = '?'+module+'=true&IP_DOM='+IPDOM;
		}else{
			parameter = '?'+module+'=true'	
		}
		
	}else{
		parameter = '?'+module+'=true'
	}


	$("#loadingmsgholder").fadeIn(200);
	$("#loadingmsg").text(processText);	

	// alert('<iframe style="width: 99%;height:300px;" src="'+ host + parameter +'"></iframe>');
	$('#displayPingTrace').hide();
	if($(document).find('#iframe_container').is(':visible')){
		$('#iframe_container').remove();	
	}

	$('#display_container_diagnostics').prepend('<div id="iframe_container"><button id="close_iframe_container" type="button">Close TraceRoute</button><iframe id="iframeData" style="width: 99%;height:380px;" src="'+ host + parameter +'"></iframe></div>');

	$('#iframeData').load(function(){
		alert('Process has been finished.');
		$("#loading").fadeOut(500);
		$("#loadingmsgholder").fadeOut(500);
	});

	$(document).on('click','#close_iframe_container',function(e){
		e.preventDefault();

		$.ajax({
			url    : host+'?killtraceroute=true',
			method : 'GET'
		});

		$("#loading").fadeOut(500);
		$("#loadingmsgholder").fadeOut(500);
		$('#iframe_container').remove();
		$('#displayPingTrace').show();
	});
});
</script>
<div id="loadingmsgholder" style="display: none; position:absolute; left: 50%; top: 50%; width: 450px;
    margin-left: -225px; top: 30%; z-index: 105;
    box-shadow: 0px 2px 15px rgba(0,0,0,0.2);
    -mox-box-shadow: 0px 2px 15px rgba(0,0,0,0.2);
    -webkit-box-shadow: 0px 2px 15px rgba(0,0,0,0.2);
    "
    align="center">
    <table width="450" border="0" cellspacing="0" cellpadding="0" bgcolor="#FFFFFF"
      style="font-family:Arial, sans-serif; font-size:14px; color:#111">
      <tr>
        <td width="18">&nbsp;</td>
        <td width="363">&nbsp;</td>
        <td width="19">&nbsp;</td>
      </tr>
      <tr>
        <td>&nbsp;</td>
        <td align="center">
        <span id="loadingmsg">Loading... Your request is being processed, please wait.</span>
        </td>
        <td>&nbsp;</td>
      </tr>
      <tr>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
      </tr>
    </table>
</div>
<div id="loading" style="display: none;height:100%;width:100%;position:fixed;
    left:0;top:0;z-index:101 !important;background-color:#062544;
    filter: alpha(opacity=0); /* internet explorer */
    -khtml-opacity: 0;      /* khtml, old safari */
    -moz-opacity: 0;       /* mozilla, netscape */
    opacity: 0;           /* fx, safari, opera */
    ">
</div>
</body>
</html>


<script>

</script>