<?php
	error_reporting(0);	
	include("globals.php");	
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title>CrewCommCenter Vessel Information &amp; Activation</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<style>
body
{
	font-family:Verdana, Geneva, sans-serif;
	font-size:14px;
	color: black;
	
	background: url(<?php echo $GLOBALS['plugFilePath']; ?>/img/bg1.png) no-repeat; 
	-webkit-background-size: cover;
	-moz-background-size: cover;
	-o-background-size: cover;
	background-size: cover;
}

div, table, tr, td
{
	font-family:Verdana, Geneva, sans-serif;
	font-size:14px;
	color: black;
}

#shipconfig{
	border-radius:10px;
	background-color: #e3e3e3;
	box-shadow: 5px 5px 1px #346585;
	
	position:absolute; left: 50%; top: 20%; width: 800px;
    margin-left: -275px;
}

#mainmediaviewmm{
	border-radius:10px;
	background-color: #e3e3e3;
	box-shadow: 5px 5px 1px #346585;
	
	position:absolute; left: 50%; top: 20%; width: 250px;
    margin-left: -545px;
}

input { 
	font-family:Verdana, Geneva, sans-serif;
	font-size:14px;
	color: black;
	padding: 4px;
}

#cccline{
	margin: 0;
  	display: inline-block;
    position: absolute;
    top: 10%;
    left: 50%;
    margin-right: -50%;
    transform: translate(-50%, -50%);
    width: 270px;
    vertical-align:top;
    -webkit-background-size: cover;
}

#ccctext{
	-webkit-background-size: cover;
	margin: 0;
  display: inline-block;
    position: absolute;
    top: 14%;
    left: 49.5%;
    margin-right: -50%;
    transform: translate(-50%, -50%);
    width: 300px;
    vertical-align:top;
}

a:link {
    color: #000000;
	text-decoration: none;
}
a:visited {
    color: #000000;
	text-decoration: none;
}
a:hover {
    color: #00F;
	text-decoration: none;
}
a:active {
    color: #000000;
	text-decoration: none;
}
</style>
<script type="text/javascript" src="<?php echo $GLOBALS['plugFilePath']; ?>/script/jquery.min.js"></script>
<script type="text/javascript" src="<?php echo $GLOBALS['plugFilePath']; ?>/script/jquery.mask.js"></script>
<script language="javascript">
	//VARS
	var jqVESSEL_EMAILADDRESS = "";
	var jqVESSEL_VESSELID = "";
	var jqVESSEL_CAPTAINEMAILADDRESS = "";
	var jqVESSEL_CAPTAINNAME = "";
	var jqVESSEL_NAME = "";
	var jqVESSEL_COMPANYFLEET = "";
	var jqVESSEL_MANAGER = "";
	var jqVESSEL_OWNER = "";
	var jqVESSEL_FLAG = "";
	var jqVESSEL_OFFICERSCOUNT = "0";
	var jqVESSEL_CREWCOUNT = "0";
	var jqVESSEL_MACADDRESS = "";
	var jqVESSEL_IPADDRESS = "";
	
	var jqVESSEL_REGSTATUS = "0";
	var jqVESSEL_SERVICES = "";
	var jqVESSEL_EXPIRE = "120";
	var jqVESSEL_ENCRYPTION = "0";
	var jqVESSEL_MESSAGELIMIT = "30";
	var jqVESSEL_SHIPSERVERVERSION = "";
	var jqVESSEL_TYPE = "";
	//VARS
	
	function getFleetOneSettings() {
		var noerror = true;
		var dhost = '<?php echo $GLOBALS['dhost']; ?>';
		
		var requestfleetoneconfig;
		requestfleetoneconfig = $.ajax({
			url: dhost,
			type: "get",
			data: { act: '8' },
			timeout: 30000
		});
	
		requestfleetoneconfig.done(function (response, textStatus, jqXHR){
			if (noerror) {
				console.log(response);
			}
		});
	
		requestfleetoneconfig.fail(function (jqXHR, textStatus, errorThrown){
			noerror = false;
		});
	
		requestfleetoneconfig.always(function () {
			requestfleetoneconfig = null;
		});
	}
		
	function APICall() {
		var noerror = true;
		//var dhost = '<?php echo $GLOBALS['SERVERURL']; ?>' + 'api/rest/requestvesselinfo'; //getshipconfig //getusers //requestvesselinfo
		var dhost = "<?php echo $GLOBALS['LOCALSERVER']; ?>?csipadd=<?php echo $_SESSION['SERVERURLFOUND']; ?>&act=getVesselSettings";
		var act = "POST"; //POST //GET
		
		var intermacid = "<?php echo $macid; ?>"; //"BB-22-33-44-AA-BC";
		
		if (act == "POST") 
		{	
					var requestprevconfig;
					requestprevconfig = $.ajax({
						url: dhost,
						type: "post",
						data: { macid: intermacid },
						timeout: 30000
					});
				
					requestprevconfig.done(function (response, textStatus, jqXHR){
						
						if(typeof response[0].vessel_regstatus != "undefined"){
							if(response[0].vessel_regstatus == 1 || response[0].vessel_regstatus == "1"){
								window.location.href="<?php echo $__HOST__?>cgi-bin/vinfo.php";
								return;
							}								
						}
												
						if (noerror) {
							try {
							
								$.each(response, function (index, value) {
									
									try {
																
										$.each(value, function (dindex, dvalue) {
											if ((dvalue == 'null') || (dvalue == null) || (dvalue.length == 0) || (dvalue.toLowerCase() == 'undefined')) {dvalue = "&nbsp;";}
											
											if (dvalue == '&nbsp;') {dvalue = "";}
											try {
												switch(dindex.toUpperCase()) {
													case "VESSEL_VESSELID":
														jqVESSEL_VESSELID = dvalue;
														if (jqVESSEL_VESSELID.endsWith("-N")) {
															document.getElementById("VESSEL_VESSELID").value = "";
														} else {
															document.getElementById("VESSEL_VESSELID").value = jqVESSEL_VESSELID;
														}
														document.getElementById("VESSEL_VESSELIDTMP").value = jqVESSEL_VESSELID;
														break;
													case "VESSEL_CAPTAINEMAILADDRESS":
														jqVESSEL_CAPTAINEMAILADDRESS = dvalue;
														if (!validateEmail(jqVESSEL_CAPTAINEMAILADDRESS)) {
															jqVESSEL_CAPTAINEMAILADDRESS = "";	
														}
														document.getElementById("VESSEL_CAPTAINEMAILADDRESS").value = jqVESSEL_CAPTAINEMAILADDRESS;
														break;
													case "VESSEL_CAPTAINNAME":
														jqVESSEL_CAPTAINNAME = dvalue;
														document.getElementById("VESSEL_CAPTAINNAME").value = jqVESSEL_CAPTAINNAME;
														break;
													case "VESSEL_NAME":
														jqVESSEL_NAME = dvalue;
														document.getElementById("VESSEL_NAME").value = jqVESSEL_NAME;
														break;
													case "VESSEL_COMPANYFLEET":
														if (isNaN(dvalue)) {jqVESSEL_COMPANYFLEET = dvalue;}
														document.getElementById("VESSEL_COMPANYFLEET").value = jqVESSEL_COMPANYFLEET;
														break;
													case "VESSEL_MANAGER":
														if (isNaN(dvalue)) {jqVESSEL_MANAGER = dvalue;}
														document.getElementById("VESSEL_MANAGER").value = jqVESSEL_MANAGER;
														break;
													case "VESSEL_OWNER":
														if (isNaN(dvalue)) {jqVESSEL_OWNER = dvalue;}
														document.getElementById("VESSEL_OWNER").value = jqVESSEL_OWNER;
														break;
													case "VESSEL_FLAG":
														jqVESSEL_FLAG = dvalue;
														document.getElementById("VESSEL_FLAG").value = jqVESSEL_FLAG;
														break;
													case "VESSEL_OFFICERSCOUNT":
														if (!isNaN(dvalue)) {jqVESSEL_OFFICERSCOUNT = dvalue;}
														document.getElementById("VESSEL_OFFICERSCOUNT").value = jqVESSEL_OFFICERSCOUNT;
														break;
													case "VESSEL_CREWCOUNT":
														if (!isNaN(dvalue)) {jqVESSEL_CREWCOUNT = dvalue;}
														document.getElementById("VESSEL_CREWCOUNT").value = jqVESSEL_CREWCOUNT;
														break;
													case "VESSEL_MACADDRESS":
														if (isNaN(dvalue)) {jqVESSEL_MACADDRESS = dvalue;}
														//if (jqVESSEL_MACADDRESS.length > 0) {
														//	jqVESSEL_MACADDRESS = /*validateAllMacs*/validateStrMacAdd(jqVESSEL_MACADDRESS);
														//}
														//if (jqVESSEL_MACADDRESS.length > 0) {
															jqVESSEL_MACADDRESS = "<?php echo $macid; ?>";
														//}
														document.getElementById("VESSEL_MACADDRESS").value = jqVESSEL_MACADDRESS;
														document.getElementById("tmpVESSEL_MACADDRESS").value = jqVESSEL_MACADDRESS;
														
														if (intermacid.length == 0) {
															$("#tmpVESSEL_MACADDRESS").removeAttr('disabled');
															$("#macadd_text").show();
														}
														break;
													case "VESSEL_IPADDRESS":
														if (isNaN(dvalue)) {jqVESSEL_IPADDRESS = dvalue;}
														if (jqVESSEL_IPADDRESS.length > 0) {
															jqVESSEL_IPADDRESS = validateAllIPs(jqVESSEL_IPADDRESS);
														}
														document.getElementById("VESSEL_IPADDRESS").value = jqVESSEL_IPADDRESS;
														break;
													case "VESSEL_REGSTATUS":
														if (!isNaN(dvalue)) {jqVESSEL_REGSTATUS = dvalue;}
														document.getElementById("VESSEL_REGSTATUS").value = jqVESSEL_REGSTATUS;
														if (document.getElementById("VESSEL_REGSTATUS").value == "0") {
															document.getElementById("VESSEL_VESSELID").disabled = false;
															document.getElementById("VESSEL_EMAILADDRESS").disabled = false;
															document.getElementById("VESSEL_VERIFYBTN").disabled = false;
														} else {
															document.getElementById("VESSEL_VESSELID").disabled = true;
															document.getElementById("VESSEL_EMAILADDRESS").disabled = true;
															document.getElementById("VESSEL_VERIFYBTN").disabled = true;
														}
														break;
													case "VESSEL_SERVICES":
														jqVESSEL_SERVICES = dvalue;
														document.getElementById("VESSEL_SERVICES").value = jqVESSEL_SERVICES;
														break;
													case "VESSEL_EXPIRE":
														if (!isNaN(dvalue)) {jqVESSEL_EXPIRE = dvalue;}
														document.getElementById("VESSEL_EXPIRE").value = jqVESSEL_EXPIRE;
														break;
													case "VESSEL_ENCRYPTION":
														if (!isNaN(dvalue)) {jqVESSEL_ENCRYPTION = dvalue;}
														document.getElementById("VESSEL_ENCRYPTION").value = jqVESSEL_ENCRYPTION;
														break;
													case "VESSEL_MESSAGELIMIT":
														if (!isNaN(dvalue)) {jqVESSEL_MESSAGELIMIT = dvalue;}
														document.getElementById("VESSEL_MESSAGELIMIT").value = jqVESSEL_MESSAGELIMIT;
														break;
													case "VESSEL_SHIPSERVERVERSION":
														jqVESSEL_SHIPSERVERVERSION = dvalue;
														document.getElementById("VESSEL_SHIPSERVERVERSION").value = jqVESSEL_SHIPSERVERVERSION;
														break;
													case "VESSEL_TYPE":
														jqVESSEL_TYPE = dvalue;
														document.getElementById("VESSEL_TYPE").value = jqVESSEL_TYPE;
														break;
													case "VESSEL_FULLEMAILADDRESS":
														try {
															jqVESSEL_EMAILADDRESS = dvalue;
															document.getElementById("VESSEL_EMAILADDRESS").value = jqVESSEL_EMAILADDRESS;
														} catch(e) {
															jqVESSEL_EMAILADDRESS = "";
															document.getElementById("VESSEL_EMAILADDRESS").value = jqVESSEL_EMAILADDRESS;
														}
														break;
												}


											} catch(e) {}
										});
										$("#btnSubmit").removeAttr('disabled');
									} catch (e) {}
									
								});

								if(response[0].vessel_regstatus == 1 || response[0].vessel_regstatus == "1"){
									$("#btnSubmit").prop('disabled',true);
									$("#btnSubmit").removeAttr('onclick');
									$("#btnSubmit").hide();
									$("#VESSEL_VERIFYBTN").prop('disabled',true);
									$("#VESSEL_VERIFYBTN").removeAttr('onclick');
									$("#VESSEL_VERIFYBTN").hide();									
								}	
							
							} catch (e) {}
						}
					});
				
					requestprevconfig.fail(function (jqXHR, textStatus, errorThrown){
						noerror = false;
						if (textStatus=="timeout") {
							alert('The request timed out. Please try again.');
						} else {
							alert('An error has occurred. Please try again.');
						}
						
						if (jqVESSEL_MACADDRESS.length > 0) {
							jqVESSEL_MACADDRESS = "<?php echo $macid; ?>";
						}
						document.getElementById("VESSEL_MACADDRESS").value = jqVESSEL_MACADDRESS;
						document.getElementById("tmpVESSEL_MACADDRESS").value = jqVESSEL_MACADDRESS;
					});
				
					requestprevconfig.always(function () {
						requestprevconfig = null;
						
						$("#loading").fadeOut(500);
						$("#loadingmsgholder").fadeOut(500);
					});
					

		} else {
		
			var jqxhr = $.getJSON( dhost, function() {})
			.done(function() {})
			.fail(function() {
				noerror = false;
			})
			.always(function() {
				$("#loading").fadeOut(500);
				$("#loadingmsgholder").fadeOut(500);	
			})
			.complete(function( data ) {
				if (noerror) {
					var jsonArray = data.responseText;
					if (jsonArray.indexOf('[') == 0) {
						jsonArray = jsonArray.substr(1, jsonArray.length);
					}
					if (jsonArray.indexOf(']') == jsonArray.length-1) {
						jsonArray = jsonArray.substr(0, jsonArray.length-1);
					}
					jsonArray = jsonArray.split('},');
					
					try {
					
						for (i=0;i<jsonArray.length;i++) {
							var parseThisJSon = jsonArray[i];
							
							try {
								if (jsonArray[i].substr(jsonArray[i].length-1,1) != "}") {
									parseThisJSon = parseThisJSon + "}";
								}
							} catch (e) {
								//alert('Error 2: ' + e.message);	
							}
					
							try {
								var obj = jQuery.parseJSON( parseThisJSon );
								
								$('#shipconfig').hide();
								$('#configtable').append('<tr><td width="245" align="center"><B>Key</B></td><td width="514" align="center"><B>Value</B></td></tr>');
								
								$.each(obj, function (index, value) {
									if ((value == 'null') || (value == null) || (value.length == 0) || (value.toLowerCase() == 'undefined')) {value = "&nbsp;";}
									
									$('#configtable').append('<tr><td>' + index.toUpperCase() + ":" +
										'</td><td style="word-wrap: break-word">' + value + '</td></tr>');
								});
								
								//$('#configtable').append('<tr><td colspan="2" align="center">&nbsp;</td></tr>');
							} catch (e) {
								//alert('Error 3: ' + e.message + '\nJSON: ' + parseThisJSon);	
							}
					
						}
					
					} catch (e) {
						//alert('Error 1: ' + e.message);	
					}
				} else {
					//$("#loadingmsg").html("An error has occurred, please reload page.");	
					alert('An error has occurred. Please try again.');	
				}
			});
		}
	}
	
	function submitVesselConfig() {
		$("#btnSubmit").attr('disabled','disabled');
		
		$("#loading").fadeIn(1000);
		$("#loadingmsgholder").fadeIn(500);
		$("#loadingmsg").html("Processing your request. Please wait.");
		
		var dhost = '<?php echo $GLOBALS['SERVERURL']; ?>' + 'api/rest/updatevesselinfo';
		var haserrors = false;
		var noerror = true;
		
		var mcadd = ""; var ipadd = ""; var capemail = ""; var vessname = ""; var comfleet = "";
		
		var nvVESSEL_VESSELID = ((document.getElementById("VESSEL_VESSELID").value.length > 0)?document.getElementById("VESSEL_VESSELID").value:document.getElementById("VESSEL_VESSELIDTMP").value);
		var nvVESSEL_CAPTAINEMAILADDRESS = document.getElementById("VESSEL_CAPTAINEMAILADDRESS").value;
		if (!validateEmail(nvVESSEL_CAPTAINEMAILADDRESS)) {
			nvVESSEL_CAPTAINEMAILADDRESS = jqVESSEL_CAPTAINEMAILADDRESS;
		}
		var nvVESSEL_CAPTAINNAME = document.getElementById("VESSEL_CAPTAINNAME").value;
		var nvVESSEL_NAME = document.getElementById("VESSEL_NAME").value;
		var nvVESSEL_COMPANYFLEET = document.getElementById("VESSEL_COMPANYFLEET").value;
		var nvVESSEL_MANAGER = document.getElementById("VESSEL_MANAGER").value;
		var nvVESSEL_OWNER = document.getElementById("VESSEL_OWNER").value;
		var nvVESSEL_FLAG = document.getElementById("VESSEL_FLAG").value;
		var nvVESSEL_OFFICERSCOUNT = document.getElementById("VESSEL_OFFICERSCOUNT").value;
		if (!isNaN(nvVESSEL_OFFICERSCOUNT)) {nvVESSEL_OFFICERSCOUNT = "0";}
		var nvVESSEL_CREWCOUNT = document.getElementById("VESSEL_CREWCOUNT").value;
		if (!isNaN(nvVESSEL_CREWCOUNT)) {nvVESSEL_CREWCOUNT = "0";}
		var nvVESSEL_MACADDRESS = document.getElementById("VESSEL_MACADDRESS").value;
		if (nvVESSEL_MACADDRESS.length == 0) {
			nvVESSEL_MACADDRESS = document.getElementById("tmpVESSEL_MACADDRESS").value;
			nvVESSEL_MACADDRESS = replaceAll("-", ":", nvVESSEL_MACADDRESS);
			document.getElementById("tmpVESSEL_MACADDRESS").value = nvVESSEL_MACADDRESS;
			document.getElementById("VESSEL_MACADDRESS").value = nvVESSEL_MACADDRESS;
		}
		if (nvVESSEL_MACADDRESS.length > 0) {
			nvVESSEL_MACADDRESS = /*validateAllMacs*/validateStrMacAdd(nvVESSEL_MACADDRESS);
		}
		if (nvVESSEL_MACADDRESS.length == 0) {
			nvVESSEL_MACADDRESS = "<?php echo $macid; ?>";
		}
		if (nvVESSEL_MACADDRESS.length == 0) {haserrors = true; mcadd = "\nCrewComm WiFi router MAC Address";}
		var nvVESSEL_IPADDRESS = document.getElementById("VESSEL_IPADDRESS").value;
		if (nvVESSEL_IPADDRESS.length > 0) {
			nvVESSEL_IPADDRESS = validateAllIPs(nvVESSEL_IPADDRESS);
		}
		if (nvVESSEL_IPADDRESS.length == 0) {haserrors = true; mcadd = "\nIP Address";}
		var nvVESSEL_REGSTATUS = document.getElementById("VESSEL_REGSTATUS").value;
		if (!isNaN(nvVESSEL_REGSTATUS)) {nvVESSEL_REGSTATUS = jqVESSEL_REGSTATUS;}
		if (nvVESSEL_REGSTATUS.length == 0) {nvVESSEL_REGSTATUS = "0";}
		var nvVESSEL_SERVICES = document.getElementById("VESSEL_SERVICES").value;
		if (nvVESSEL_SERVICES.length == 0) {nvVESSEL_SERVICES = "10001";}
		var nvVESSEL_EXPIRE = document.getElementById("VESSEL_EXPIRE").value;
		if (!isNaN(nvVESSEL_EXPIRE)) {nvVESSEL_EXPIRE = jqVESSEL_EXPIRE;}
		if (nvVESSEL_EXPIRE.length == 0) {nvVESSEL_EXPIRE = "120";}
		var nvVESSEL_ENCRYPTION = document.getElementById("VESSEL_ENCRYPTION").value;
		if (!isNaN(nvVESSEL_ENCRYPTION)) {nvVESSEL_ENCRYPTION = jqVESSEL_ENCRYPTION;}
		if (nvVESSEL_ENCRYPTION.length == 0) {nvVESSEL_ENCRYPTION = "0";}
		var nvVESSEL_MESSAGELIMIT = document.getElementById("VESSEL_MESSAGELIMIT").value;
		if (!isNaN(nvVESSEL_MESSAGELIMIT)) {nvVESSEL_MESSAGELIMIT = jqVESSEL_MESSAGELIMIT;}
		if (nvVESSEL_MESSAGELIMIT.length == 0) {nvVESSEL_MESSAGELIMIT = "99";}
		var nvVESSEL_SHIPSERVERVERSION = document.getElementById("VESSEL_SHIPSERVERVERSION").value;
		var nvVESSEL_TYPE = document.getElementById("VESSEL_TYPE").value;
		if (nvVESSEL_TYPE.length == 0) {nvVESSEL_TYPE = "D";}
		var nvVESSEL_PARTNER = document.getElementById("VESSEL_PARTNER").value;
		if (nvVESSEL_PARTNER.length == 0) {nvVESSEL_PARTNER = "SMSGLOBAL";}
		var nvVESSEL_VERSION = document.getElementById("VESSEL_VERSION").value;
		var nvVESSEL_CHATVERSION = document.getElementById("VESSEL_CHATVERSION").value;
		
		if (haserrors) {
			alert('Please complete the following:' + mcadd+ipadd+capemail+vessname+comfleet);
			
			$("#btnSubmit").removeAttr('disabled');
			$("#loading").fadeOut(500);
			$("#loadingmsgholder").fadeOut(500);
		} else {
			
			var submitdata = {
				OPID: "31",
				vessel_vesselid: nvVESSEL_VESSELID,
				vessel_regstatus: nvVESSEL_REGSTATUS,
				vessel_services: nvVESSEL_SERVICES,
				vessel_expire: nvVESSEL_EXPIRE,
				vessel_encryption: nvVESSEL_ENCRYPTION,
				vessel_messagelimit: nvVESSEL_MESSAGELIMIT,
				vessel_captainemailaddress: nvVESSEL_CAPTAINEMAILADDRESS,
				vessel_captainname: nvVESSEL_CAPTAINNAME,
				vessel_name: nvVESSEL_NAME,
				vessel_companyfleet: nvVESSEL_COMPANYFLEET,
				vessel_manager: nvVESSEL_MANAGER,
				vessel_owner: nvVESSEL_OWNER,
				vessel_flag: nvVESSEL_FLAG,
				vessel_officerscount: nvVESSEL_OFFICERSCOUNT,
				vessel_crewcount: nvVESSEL_CREWCOUNT,
				vessel_shipserverversion: nvVESSEL_SHIPSERVERVERSION,
				//vessel_macaddress: nvVESSEL_MACADDRESS,
				vessel_ipaddress: nvVESSEL_IPADDRESS,
				vessel_type: nvVESSEL_TYPE,
				macid: nvVESSEL_MACADDRESS,
				vessel_partner: nvVESSEL_PARTNER,
				vessel_version: nvVESSEL_VERSION,
				vessel_chatversion: nvVESSEL_CHATVERSION,
				regtype: "1" //1=From Linksys ; 0=SMSParser
			};
			
			var submitconfig;
			submitconfig = $.ajax({
				url: dhost,
				type: "post",
				data: submitdata,
				timeout: 30000
			});
		
			submitconfig.done(function (response, textStatus, jqXHR){
				if (noerror) {
					try {
						
						var wassuccess = false;
						
						$.each(response, function (index, value) {
							if (value.toLowerCase().indexOf("success") >= 0) {
								wassuccess = true;
							}
						});
						
						if (wassuccess) {
							//CLEAR PREV VESSEL DATA
							// getFleetOneSettings();							
							//alert('Vessel Configuration successfully updated!');
							sendVesselVersion();
							alert('Vessel information submitted. Please synchronize settings via the "Crew System Management > Firewall page" in a few minutes.');

							$("#btnSubmit").prop('disabled',true);
							$("#btnSubmit").removeAttr('onclick');
							$("#btnSubmit").hide();
							$("#VESSEL_VERIFYBTN").prop('disabled',true);
							$("#VESSEL_VERIFYBTN").removeAttr('onclick');
							$("#VESSEL_VERIFYBTN").hide();			
							
						} else {
							alert('An error has occurred. Please try again.');
						}
					
					} catch (e) {}
				}
			});
		
			submitconfig.fail(function (jqXHR, textStatus, errorThrown){
				noerror = false;
				if (textStatus=="timeout") {
					alert('The request timed out. Please try again.');
				} else {
					alert('An error has occurred. Please try again.');
				}
			});
		
			submitconfig.always(function () {
				submitconfig = null;
				
				$("#btnSubmit").removeAttr('disabled');
				$("#loading").fadeOut(500);
				$("#loadingmsgholder").fadeOut(500);
			});	
			
		}
	}
	
	function replaceAll(find, replace, str) {
		return str.replace(new RegExp(find, 'g'), replace);
	}
	
	function validateAllMacs(macadd) {
		var retMacs = "";
		var macaddarr = macadd.split(',');
		for (i=0;i<macaddarr.length;i++) {
			var currmac = macaddarr[i].trim();
			if (validateMacAdd(currmac)) {
				retMacs = retMacs + currmac + ",";
			}
		}
		
		if (retMacs.substr(retMacs.length-1, 1) == ",") {
			retMacs = retMacs.substr(0, retMacs.length-1);
		}
		
		return retMacs;
	}
	
	function validateMacAdd(macadd) {
		var regex = /^([0-9A-F]{2}[:-]){5}([0-9A-F]{2})$/;
		if (regex.test(macadd)) {
			return true;
		} else {
			return false;	
		}
	}
	
	function validateStrMacAdd(macadd) {
		var regex = /^([0-9A-F]{2}[:-]){5}([0-9A-F]{2})$/;
		if (regex.test(macadd)) {
			return macadd;
		} else {
			return "";	
		}
	}
	
	function validateAllIPs(ipadd) {
		var retIPs = "";
		var arrips = ipadd.split(',');
		
		for (i=0;i<arrips.length;i++) {
			var currip = arrips[i].trim();
			if (validateIPAdd(currip)) {
				retIPs = retIPs + currip + ",";
			}
		}
		
		if (retIPs.substr(retIPs.length-1, 1) == ",") {
			retIPs = retIPs.substr(0, retIPs.length-1);
		}
		
		return retIPs;
	}
	
	function validateIPAdd(ipadd) {
		var arripsecs = ipadd.split('.');
		if (arripsecs.length != 4) {
			return false;
		} else {
			if ((arripsecs[0] >= 0) && (arripsecs[0] <= 255) &&
				(arripsecs[1] >= 0) && (arripsecs[1] <= 255) &&
				(arripsecs[2] >= 0) && (arripsecs[2] <= 255) &&
				(arripsecs[3] >= 0) && (arripsecs[3] <= 255)) {
				return true;
			} else {
				return false;
			}
		}
	}
	
	function validateEmail(email) {
		var re = /^(([^<>()[\]\\.,;:\s@"]+(\.[^<>()[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
		return re.test(email);
	}
	
	function showVerifyMsgError() {
		if ((document.getElementById("VESSEL_VESSELID").value.length > 0) && (document.getElementById("VESSEL_EMAILADDRESS").value.length > 0)) {
			alert("Vessel ID & E-mail address are not pre-registered, please complete the form and click 'Submit'");
		} else if (document.getElementById("VESSEL_VESSELID").value.length > 0) {
			alert("Vessel ID is not pre-registered, please complete the form and click 'Submit'");
		} else if (document.getElementById("VESSEL_EMAILADDRESS").value.length > 0) {
			alert("Vessel E-mail is not pre-registered, please complete the form and click 'Submit'");
		}
	}
	
	function processVerifyResult(response) {
		try {
			$.each(response, function (index, value) {
				try {
					$.each(value, function (dindex, dvalue) {
						try {
							switch(dindex.toLowerCase()) {
								case "pre_vesselid":
									jqVESSEL_VESSELID = dvalue;
									document.getElementById("VESSEL_VESSELID").value = jqVESSEL_VESSELID;
									document.getElementById("VESSEL_VESSELIDTMP").value = jqVESSEL_VESSELID;
									break;
								case "pre_contactemailaddress":
									jqVESSEL_CAPTAINEMAILADDRESS = dvalue;
									document.getElementById("VESSEL_CAPTAINEMAILADDRESS").value = jqVESSEL_CAPTAINEMAILADDRESS;
									break;
								case "pre_vesselfullemailaddress":
									jqVESSEL_EMAILADDRESS = dvalue;
									document.getElementById("VESSEL_EMAILADDRESS").value = jqVESSEL_EMAILADDRESS;
									break;
								case "pre_vesselname":
									jqVESSEL_NAME = dvalue;
									document.getElementById("VESSEL_NAME").value = jqVESSEL_NAME;
									break;
							}
						} catch(e) {}
					});
					$('#btnSubmit').show();
					alert("Vessel is pre-registered, please click 'Submit'");
				} catch (e) {}
			});
		} catch (e) {}
	}
	
	function verifyVesselIDEmail() {
		if ((document.getElementById("VESSEL_VESSELID").value.length <= 0) && (document.getElementById("VESSEL_EMAILADDRESS").value.length <= 0)) {
		} else if ((document.getElementById("VESSEL_VESSELID").value.length > 0) && (document.getElementById("VESSEL_VESSELID").value.length < 9)) {
			alert('Vessel ID should be 9 digits long.');
		} else if ((document.getElementById("VESSEL_EMAILADDRESS").value.length > 0) && (!validateEmail(document.getElementById("VESSEL_EMAILADDRESS").value))) {
			alert("Invalid Vessel Email Address format.");
		} else {
		
			$("#loading").fadeIn(1000);
			$("#loadingmsgholder").fadeIn(500);
			$("#loadingmsg").html("Processing your request. Please wait.");
			
			var vessid = ((document.getElementById("VESSEL_VESSELID").value.length > 0)?document.getElementById("VESSEL_VESSELID").value:document.getElementById("VESSEL_VESSELIDTMP").value);
			var vessemail = document.getElementById("VESSEL_EMAILADDRESS").value;
			
			var noerror = true;
			var dhost = '<?php echo $GLOBALS['SERVERURL']; ?>' + 'api/rest/verifyprereginfo';
			//var dhost = 'http://crewcommcenter.net/smsglobal/apidev/rest/verifyprereginfo';
			var intermacid = "<?php echo $macid; ?>";
				
			var requestprevconfig;
			requestprevconfig = $.ajax({
				url: dhost,
				type: "post",
				data: { vesselid: vessid, macid: intermacid, vesselemailaddress: vessemail },
				timeout: 30000
			});
		
			requestprevconfig.done(function (response, textStatus, jqXHR){
				if (noerror) {
					
					try {
						if (response.length > 0) {
							processVerifyResult(response);
						} else {
							showVerifyMsgError();
						}
					} catch(err) {
						//nocontent
						showVerifyMsgError();
					}
				}
			});
		
			requestprevconfig.fail(function (jqXHR, textStatus, errorThrown){
				noerror = false;
				
				console.log("Fail: " + textStatus);
			});
		
			requestprevconfig.always(function () {
				requestprevconfig = null;
				
				$("#loading").fadeOut(500);
				$("#loadingmsgholder").fadeOut(500);
			});
		
		}
	}
</script>
</head>
<body leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">

<img src="<?php echo $GLOBALS['plugFilePath']; ?>/img/cccline.png" id="cccline" width="280" height="40">
<img src="<?php echo $GLOBALS['plugFilePath']; ?>/img/ccctext.png" id="ccctext" >

<table width="800" id="shipconfig" border="0" cellspacing="0" cellpadding="8" align="center">
  <tr><td bgcolor="#464B4F" style="border-top-left-radius:10px;border-top-right-radius:10px;" colspan="3" align="center"><font color="#FFFFFF"><B>Vessel Information &amp; Activation</B></font></td></tr>
  <tr><td width="273" height="10" align="center"></td></tr>
  
  <tr><td>Vessel ID:</td><td width="329">
  	<input type="text" name="VESSEL_VESSELID" id="VESSEL_VESSELID" style="width:100%" disabled maxlength="9">
  </td><td width="150" rowspan="2" align="right">
  <input type="button" style="width:100%; height:60px;" value="Verify" onClick="verifyVesselIDEmail();" name="VESSEL_VERIFYBTN" id="VESSEL_VERIFYBTN" maxlength="254">
  </td></tr>
  <tr><td>Vessel Email Address:</td><td width="329">
  	<input type="text" name="VESSEL_EMAILADDRESS" id="VESSEL_EMAILADDRESS" style="width:100%" disabled maxlength="254">
  </td></tr>
  <!--<tr><td>Vessel ID:</td><td colspan="2">
  	<input type="text" name="VESSEL_VESSELID" id="VESSEL_VESSELID" style="width:100%" disabled>
  </td></tr>-->
  
  <tr><td>Captain's Email Address:</td><td colspan="2">
  	<input type="text" name="VESSEL_CAPTAINEMAILADDRESS" id="VESSEL_CAPTAINEMAILADDRESS" style="width:100%" maxlength="128" disabled>
  </td></tr>
  
  <tr><td>Vessel Name:</td><td colspan="2">
  	<input type="text" name="VESSEL_NAME" id="VESSEL_NAME" style="width:100%" maxlength="60" disabled>
  </td></tr>
  <tr><td>Company/Fleet:</td><td colspan="2">
  	<input type="text" name="VESSEL_COMPANYFLEET" id="VESSEL_COMPANYFLEET" style="width:100%" maxlength="90" disabled>
  </td></tr>
  <tr>
  <td>CrewComm&nbsp;WiFi&nbsp;router&nbsp;MAC&nbsp;Address:&nbsp;</td><td colspan="2">
  	<input type="text" disabled name="tmpVESSEL_MACADDRESS" id="tmpVESSEL_MACADDRESS" style="width:100%" maxlength="17">
    <div id="macadd_text" style="display:none; font-size:12px; color:#F00">Can not retrieve your CrewComm WiFi router MAC Address. The MAC Address is printed on the bottom of the router, please manually input it in the box above.</div>
    <input type="hidden" name="VESSEL_MACADDRESS" id="VESSEL_MACADDRESS" style="width:100%">
  </td></tr>
  <tr><td>
  SAT Terminal IP Address(es):
  <BR><font style="font-size:11px">Comma separated</font>
  </td><td colspan="2">
  	<input type="text" name="VESSEL_IPADDRESS" id="VESSEL_IPADDRESS" style="width:100%">
    
    <input type="hidden" name="VESSEL_CAPTAINNAME" id="VESSEL_CAPTAINNAME">
    <input type="hidden" name="VESSEL_MANAGER" id="VESSEL_MANAGER">
    <input type="hidden" name="VESSEL_OWNER" id="VESSEL_OWNER">
    <input type="hidden" name="VESSEL_FLAG" id="VESSEL_FLAG">
    <input type="hidden" name="VESSEL_OFFICERSCOUNT" id="VESSEL_OFFICERSCOUNT">
    <input type="hidden" name="VESSEL_CREWCOUNT" id="VESSEL_CREWCOUNT">
    
    <!--<input type="hidden" name="VESSEL_VESSELID" id="VESSEL_VESSELID">-->
    <input type="hidden" name="VESSEL_REGSTATUS" id="VESSEL_REGSTATUS">
    <input type="hidden" name="VESSEL_SERVICES" id="VESSEL_SERVICES">
    <input type="hidden" name="VESSEL_EXPIRE" id="VESSEL_EXPIRE">
    <input type="hidden" name="VESSEL_ENCRYPTION" id="VESSEL_ENCRYPTION">
    <input type="hidden" name="VESSEL_MESSAGELIMIT" id="VESSEL_MESSAGELIMIT">
    <input type="hidden" name="VESSEL_SHIPSERVERVERSION" id="VESSEL_SHIPSERVERVERSION">
    <input type="hidden" name="VESSEL_TYPE" id="VESSEL_TYPE">
	<?php
		$out = getUIVersion();
    ?>
    <input type="hidden" name="VESSEL_PARTNER" id="VESSEL_PARTNER" value="<?php echo $out[2]; ?>">
    <input type="hidden" name="VESSEL_VERSION" id="VESSEL_VERSION" value="<?php echo $out[1]; ?>">
    <input type="hidden" name="VESSEL_CHATVERSION" id="VESSEL_CHATVERSION" value="<?php echo $out[3]; ?>">
    <input type="hidden" name="VESSEL_VESSELIDTMP" id="VESSEL_VESSELIDTMP">
  </td></tr>
  <tr>
  <td colspan="3" align="center">
  <input type="button" name="btnSubmit" id="btnSubmit" value="Submit" onClick="submitVesselConfig();" disabled style="display:none">
  </td></tr>
  <tr><td height="10" colspan="3" align="center"></td></tr>
</table>

<table id="configtable" style="table-layout: fixed; width: 800" border="0" cellspacing="5" cellpadding="5" align="center">

</table><BR><BR>

<?php include "mm.php"; ?>

</body>
</html>
<div id="loadingmsgholder" style="display: none; position:absolute; left: 50%; top: 50%; width: 450px;
    margin-left: -225px; top: 30%; z-index: 105;
    box-shadow: 0px 2px 15px rgba(0,0,0,0.2);
    -mox-box-shadow: 0px 2px 15px rgba(0,0,0,0.2);
    -webkit-box-shadow: 0px 2px 15px rgba(0,0,0,0.2);
    "
    align="center">
    <table width="450" border="0" cellspacing="0" cellpadding="0" bgcolor="#FFFFFF"
      style="font-family:Arial, sans-serif; font-size:14px; color:#111">
      <tr>
        <td width="18">&nbsp;</td>
        <td width="363">&nbsp;</td>
        <td width="19">&nbsp;</td>
      </tr>
      <tr>
        <td>&nbsp;</td>
        <td align="center">
        <span id="loadingmsg">Loading... Your request is being processed, please wait.</span>
        </td>
        <td>&nbsp;</td>
      </tr>
      <tr>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
      </tr>
    </table>
</div>
<div id="loading" style="display: none;height:100%;width:100%;position:fixed;
    left:0;top:0;z-index:101 !important;background-color:#062544;
    filter: alpha(opacity=0); /* internet explorer */
    -khtml-opacity: 0;      /* khtml, old safari */
    -moz-opacity: 0;       /* mozilla, netscape */
    opacity: 0;           /* fx, safari, opera */
    ">
</div>
<script language="javascript">
	var length=1;
	
	$(document).ready(function () {
		$("#VESSEL_OFFICERSCOUNT").keypress(function (e) {
			if (e.which != 8 && e.which != 0 && (e.which < 48 || e.which > 57)) {
				return false;
			}
		});
		$("#VESSEL_CREWCOUNT").keypress(function (e) {
			if (e.which != 8 && e.which != 0 && (e.which < 48 || e.which > 57)) {
				return false;
			}
		});
		
		$("#tmpVESSEL_MACADDRESS").focusin(function (evt) {
	   
			$(this).keypress(function () {
				var regex = new RegExp("^[a-fA-F0-9]+$");
				var key = String.fromCharCode(!event.charCode ? event.which : event.charCode);
				if (!regex.test(key)) {
				   event.preventDefault();
				   return false;
				} else {
					content=$(this).val();
					content1 = content.replace(/\:/g, '');
					length=content1.length;
					if(((length % 2) == 0) && length < 12 && length > 1) {
						$('#tmpVESSEL_MACADDRESS').val($('#tmpVESSEL_MACADDRESS').val() + ':');
					}	
				}
			});
		
		});
		
		$("[id^=VESSEL_VESSELID]").focusin(function (evt) {
   
			$(this).keypress(function () {
				var regex = new RegExp("^[0-9:/]+$");
				var key = String.fromCharCode(!event.charCode ? event.which : event.charCode);
				if (!regex.test(key)) {
				   event.preventDefault();
				   return false;
				} else {
					content=$(this).val();
					content1 = content.replace(/\:/g, '');
					length=content1.length;
				}
			});
		
		});
		
		$('#VESSEL_IPADDRESS').mask('099.099.099.099,099.099.099.099,099.099.099.099,099.099.099.099,099.099.099.099,099.099.099.099,099.099.099.099,099.099.099.099,099.099.099.099,099.099.099.099,');

	});

	$("#loading").fadeIn(1000);
	$("#loadingmsgholder").fadeIn(500);
	$("#loadingmsg").html("Loading, please wait.");

	function sendVesselVersion() {
<?php
		$GLOBALS['fwloc'] = "/etc/firmwareversion";
		$GLOBALS['fwversion'] = "/etc/version";
		$GLOBALS['sdversion'] = "/wxa/version";

		function _getFWVersion(){


			$firmware = @file_get_contents($GLOBALS['fwversion']);
			$firmware = trim($firmware);

			$sdcard = @file_get_contents($GLOBALS['sdversion']);
			$sdcard = trim($sdcard);

			$version = trim('Version: '.$firmware.'; SD Version: '.$sdcard);
			return strlen($firmware) >= 1 || strlen($sdcard) >= 1 ? $version : 'Firmwave version not found.';
		}

		function getFWVersion() {
			$iniFile = $GLOBALS['fwloc'];
			if (is_file($iniFile)) {
				//Do nothing... File already exists
			} else {
				//Try to create
				$fh = fopen($iniFile, 'w+');
				fclose($fh);
			}
			$filecontent = file_get_contents($iniFile);
			$filecontent = trim($filecontent);
			
			if (strlen($filecontent) == 0) {
				$filecontent = "Unknown";
			}

			@include '../sysinfo';
			$_HW_type = sysinfo();		
			if($_HW_type >= 0)
			{
				return  "HardWare: {$_HW_type} ;"._getFWVersion();						
			}else{
				return $filecontent;
			}
		}

		function getVersionValue($data)
		{
			$version = parse_ini_file("/www/version.ini");		
			return isset($version[$data]) ?  $version[$data] : '' ;
		}

		function get_UI_dashbordVersion()
		{
			return getVersionValue('client').';'.getVersionValue('dashboard');
		}
?>				
		var cui   =	'<?php echo trim(get_UI_dashbordVersion()); ?>';
		var fwver = '<?php echo trim(trim(trim(getFWVersion()))); ?>';
		var kernelver = '<?php echo trim(trim(trim(shell_exec('uname -a')))); ?>';
		var chilliver = '<?php echo getVersionValue('chilliver');?>';
		var intermacid = "<?php echo $macid; ?>";
		
		var noerror = true;
		var dhost = '<?php echo $GLOBALS['SERVERURL']; ?>api/rest/saveversioninfo';
		
		var requestapi;
		requestapi = $.ajax({
			url: dhost,
			type: "post",
			data: { 
				macid: intermacid,
				fwver: fwver,
				uiver: cui,
				kernelver: kernelver,
				coovaver: chilliver
			}
		});
		
		requestapi.done(function (response, textStatus, jqXHR){

		});

		requestapi.fail(function (jqXHR, textStatus, errorThrown){

		});

		requestapi.always(function () {

		});
	}
	<?php
	//FETCH PREVIOUS VESSEL CONFIGURATION
	?>
	APICall();
</script>
